Summary: BMS EDI processing tools
Name: bmsedi
Version: 1.3.3
Release: 1%{dist}
License: Commercial
Group: Applications/Communications
Source: bmsedi-%{version}.tar.gz
Patch: bmsedi-el6.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: libb++-devel libbms-devel btas-devel edx-devel
Provides: libedi.so()(64bit)

%description
Command line tools and library for processing EDI messages in ANSI/EDIFACT
format.  'edirecv' parses ANSI text messages into database records with fields
determined by segment and data element dictionaries.  'edixmit'
collects messages in database format into an ANSI text message.  Code sets
and separators are flexible.  The library supports C++ classes to
parse/generate both ANSI and EDIFACT.

%package devel
Summary: Headers and static library for libedi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
C++ classes to support parsing and generating ANSI and EDIFACT EDI
messages.

%prep
%setup -q
%if 0%{?rhel} == 6
%patch -p1 -b .el6
%endif

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="-I/bms/include -I."
export LDFLAGS="-g -L/bms/lib"
make depend CPPFLAGS="" || true
make
mkdir pic
make lib M=pic/ CXXFLAGS="$RPM_OPT_FLAGS -fpic"
cd pic
ar xv libedi.a
cd -
gcc -shared -o libedi.so pic/*.o -L/bms/lib -lb++ 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bms/edi
mkdir -p $RPM_BUILD_ROOT/bms/edi/send
mkdir -p $RPM_BUILD_ROOT/bms/edi/recv
chmod g+w $RPM_BUILD_ROOT/bms/edi/send
chmod g+w $RPM_BUILD_ROOT/bms/edi/recv
mkdir -p $RPM_BUILD_ROOT/bms/lib
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/bms/include
cp edicc edirecv edixmit $RPM_BUILD_ROOT/bms/edi
cp libedi.so $RPM_BUILD_ROOT/bms/lib/libedi.so.1.0
cp libedi.a $RPM_BUILD_ROOT/bms/lib
cd $RPM_BUILD_ROOT/bms/lib
ln -s libedi.so.1.0 libedi.so.1
ln -s libedi.so.1 libedi.so
ln -sf /bms/lib/libedi.so.1 $RPM_BUILD_ROOT%{_libdir}/libedi.so
cd -
cp -p *.h $RPM_BUILD_ROOT/bms/include
cp -p *.seg $RPM_BUILD_ROOT/bms/edi

%clean
rm -rf $RPM_BUILD_ROOT

%ifos linux
%post
/sbin/ldconfig
%endif

# FIXME: must libedi.so.1 be a symlink?
%files
%defattr(-,root,bms)
/bms/lib/libedi.so.1
/bms/lib/libedi.so.1.0
/bms/edi

%files devel
%defattr(-,root,bms)
/bms/lib/libedi.a
/bms/lib/libedi.so
%{_libdir}/libedi.so
/bms/include/*.h

%changelog
* Fri Oct 13 2023 Stuart Gathman <stuart@gathman.org>	1.3.3-1
- Build with modern gcc, mock
* Tue May 11 2010 Stuart Gathman <stuart@bmsi.com>	1.3.2-1
- Correctly read UNA containing whitespace.
* Thu Apr  1 2010 Stuart Gathman <stuart@bmsi.com>	1.3.1-2
- Zero group count in EdifactENV
* Thu Apr  1 2010 Stuart Gathman <stuart@bmsi.com>	1.3.1-1
- Try to fix lib symlinks
- Use 4 char EDIFACT qualifer for PARTNERS.EDIADDR
* Thu Apr  1 2010 Stuart Gathman <stuart@bmsi.com>	1.3-1
- Make newline after UNA optional (SEG terminator can be 1 or 2 chars)
- Allow unmapping mapped chars
- Handle fewer than 3 subelements for syntax
* Wed Feb 23 2005 Stuart Gathman <stuart@bmsi.com>	1.2-3.EL4
- update C++ std
* Wed Feb 23 2005 Stuart Gathman <stuart@bmsi.com>	1.2-2
- make send,recv directories writable by bms
* Wed Feb 23 2005 Stuart Gathman <stuart@bmsi.com>	1.2-1
- fix issue11, deletes last record when nothing to do
* Tue Feb 22 2005 Stuart Gathman <stuart@bmsi.com>	1.1-4
- namespace changes for gcc3, use gsub,split from libb++ 
- build on AIX
* Mon Mar 08 2004 Stuart Gathman <stuart@bmsi.com>	1.1-3
- include edicc
* Mon Feb 09 2004 Stuart Gathman <stuart@bmsi.com>	1.1-2
- add segment dictionaries
* Mon Feb 09 2004 Stuart Gathman <stuart@bmsi.com>	1.1-1
- port to STL from libg++
* Fri Jan 16 2004 Stuart Gathman <stuart@bmsi.com>	1.0-1
- first RPM release
